SUBROUTINE DEALLTT

!**** *DEALLTT * - Release additional space for spectral tendencies.

!     Purpose.
!     --------
!           Release space for spectral tendencies (in case of stretching).

!**   Interface.
!     ----------
!        *CALL* *DEALLTT*

!     Explicit arguments :  None
!     --------------------

!     Implicit arguments :
!     --------------------

!     Method.
!     -------
!        See documentation

!     Externals.
!     ----------

!     Reference.
!     ----------
!        ECMWF Research Department documentation of the IFS

!     Author.
!     -------
!        D. Giard * METEO-FRANCE * , from SUALLPT

!     Modifications.
!     --------------
!        Original : 93-03-19
!        M.Hamrud      01-Oct-2003 CY28 Cleaning
!        M.Hamrud      01-Dec-2003 CY28R1 Cleaning
!     ------------------------------------------------------------------

USE PARKIND1  ,ONLY : JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
USE YOMLUN   , ONLY : NULOUT
USE YOMSPTT  , ONLY : SPTVOR   ,SPTDIV   ,SPTT     ,SPTSP

IMPLICIT NONE

REAL(KIND=JPRB) :: ZHOOK_HANDLE
!     ------------------------------------------------------------------

!*       1.    PREAMBLE.
!              ---------

IF (LHOOK) CALL DR_HOOK('DEALLTT',0,ZHOOK_HANDLE)
WRITE(UNIT=NULOUT,FMT='(''  RELEASE SPACE FOR SPECTRAL TENDENCIES'')')

!*       2.    DESALLOCATION.
!              --------------

!** VORTICITY
DEALLOCATE(SPTVOR)

!** DIVERGENCE
DEALLOCATE(SPTDIV)

!** TEMPERATURE
DEALLOCATE(SPTT)

!** SURFACE PRESSURE
DEALLOCATE(SPTSP)

!     ------------------------------------------------------------------

IF (LHOOK) CALL DR_HOOK('DEALLTT',1,ZHOOK_HANDLE)
END SUBROUTINE DEALLTT
